summaryrefslogtreecommitdiffstats
path: root/.local/bin/statusbar/nettraf
diff options
context:
space:
mode:
Diffstat (limited to '.local/bin/statusbar/nettraf')
-rwxr-xr-x.local/bin/statusbar/nettraf2
1 files changed, 1 insertions, 1 deletions
diff --git a/.local/bin/statusbar/nettraf b/.local/bin/statusbar/nettraf
index a3c9f6f..f6c5779 100755
--- a/.local/bin/statusbar/nettraf
+++ b/.local/bin/statusbar/nettraf
@@ -14,7 +14,7 @@ logfile="${XDG_CACHE_HOME:-$HOME/.cache}/netlog"
prevdata="$(cat "$logfile")"
rxcurrent="$(($(paste -d '+' /sys/class/net/[ew]*/statistics/rx_bytes)))"
-[ -f "$logfile" ] || echo "0 0" > $logfile
+[ -f "$logfile" ] || echo "0 0" > "$logfile"
txcurrent="$(($(paste -d '+' /sys/class/net/[^lo]*/statistics/tx_bytes)))"
printf "🔻%sKiB 🔺%sKiB\\n" \